Eclipse环境下,用Maven配置struts2的一个坑

如果maven的struts2依赖为2.5以上版本:

<dependency>
      <groupId>org.apache.struts</groupId>
      <artifactId>struts2-core</artifactId>
      <version>2.5.14.1</version>

</dependency>

需要注意在web.xml中配置过滤器时,要注意为:

org.apache.struts2.dispatcher.filter.StrutsPrepareAndExecuteFilter

而不是:

org.apache.struts2.dispatcher.ng.filter.StrutsPrepareAndExecuteFilter

如果不注意,tomcat启动会报错:

ClassNotFoundException:org...dispatcher.ng.filter.StrutsPrepareAndExecuteFilter


阅读更多
想对作者说点什么?

博主推荐

换一批

没有更多推荐了,返回首页